summaryrefslogtreecommitdiff
path: root/office/Ted/Ted.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'office/Ted/Ted.SlackBuild')
-rw-r--r--office/Ted/Ted.SlackBuild15
1 files changed, 12 insertions, 3 deletions
diff --git a/office/Ted/Ted.SlackBuild b/office/Ted/Ted.SlackBuild
index ac32207a2b..b603e4ca54 100644
--- a/office/Ted/Ted.SlackBuild
+++ b/office/Ted/Ted.SlackBuild
@@ -1,8 +1,9 @@
#!/bin/sh
# Slackware build script for Ted
+# Copyright 2019 GOSIKI Agiri <agiri@cocaine.ninja>.
+# Previously written by Willy Sudiarto Raharjo <willysr@slackbuilds.org>.
# Originally written by Hannes Worst <hannesworst@gmail.com>.
-# Copyright 2014-2016 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
# All right reserved
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +25,7 @@
PRGNAM=Ted
VERSION=${VERSION:-2.23}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -77,9 +78,17 @@ sed \
-e "/^M_ARCH/s|=.*|=$ARCH|" \
-i tedPackage/configure
+# select appropriate widget set
+WIDGET=${WIDGET:-gtk}
+case $WIDGET in
+ gtk) widgetopt=GTK;;
+ motif) widgetopt=MOTIF;;
+ *) echo "Wrong widget set selected, choose gtk or motif only!"; exit 1;;
+esac
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
-make -j1
+make -j1 CONFIGURE_OPTIONS="--with-$widgetopt"
make -j1 package
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \